{% extends 'base.html.twig' %}

{% block title %}Register{% endblock %}

{% block body %}
    <div class="container center-align">
        {% if app.user %}
        <div class="m3 container">
            You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Logout</a>
        </div>
        {% else %}
            <h1>Register</h1>

            {{ form_start(registrationForm) }}
                {{ form_row(registrationForm.username) }}
                {{ form_row(registrationForm.email) }}
                {{ form_row(registrationForm.plainPassword) }}

                <button class="btn">Register</button>
            {{ form_end(registrationForm) }}
        {% endif %}
    </div>
{% endblock %}
